Org settings, dashboards & reporting

Get Stablecoin Terms

Returns the org's active custom stablecoin terms if any, else default Toku terms, with UI config.

GEThttps://api.toku.com/hris/get-stablecoin-terms

Required scope: payroll:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-stablecoin-terms' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "version": "string",
  "effective_date": "string",
  "last_updated": "string",
  "short_agreement": {
    "text": "string"
  },
  "full_terms": {
    "title": "string",
    "sections": [
      {
        "title": "string",
        "content": "string"
      }
    ]
  },
  "ui": {
    "modal": {
      "width": "string",
      "max_height": "string"
    },
    "checkbox": {
      "required": true,
      "position": "string"
    },
    "view_full_terms_link": {
      "text": "string",
      "color": "string",
      "size": "string"
    }
  },
  "success": true,
  "isCustomTerms": true,
  "customTermsID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstring<uuid>

Response

200Successful response
versionstringrequired
effective_datestringrequired
last_updatedstringrequired
short_agreementobjectrequired
Show child attributes
textstringrequired
full_termsobjectrequired
Show child attributes
titlestringrequired
sectionsobject[]required
Show child attributes
titlestring
contentstringrequired
uiobjectrequired
Show child attributes
modalobjectrequired
Show child attributes
widthstringrequired
max_heightstringrequired
checkboxobjectrequired
Show child attributes
requiredbooleanrequired
positionstringrequired
view_full_terms_linkobjectrequired
Show child attributes
textstringrequired
colorstringrequired
sizestringrequired
successbooleanrequired
isCustomTermsbooleanrequired
customTermsIDstring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits